*{
    margin: 0;
    padding: 0;
}

body{  
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;

    audio{
        display: none;
    }

}

.GameBoy{

    display: flex;
    position: relative;
    flex-flow: column;
    align-items: center;
    box-sizing: border-box;
    width: 400px;
    height: 670px;
    background-color: rgb(0, 180, 180);
    border-radius: 30px 30px 80px 80px; 
    justify-content: center;
    border: 5px solid black;



    .Pantalla{
        position: absolute;
        display: flex;
        justify-content: center;
        top: 20px;
        width: 330px;
        height: 300px;
        background-color: rgb(105, 110, 110);
        border-radius: 20px 20px 50px 50px; 
        border: 5px solid black;

        #Light{
            position: absolute;
            top:100px;
            left: 12px;
            height: 10px;
            width: 10px;
            border-radius: 100%;
            border: 3px solid black;
            background-color: red;
        }
        
        .Display{
            position: relative;
            top: 25px;
            width: 240px;
            height: 200px;
            background-color:rgb(0, 0, 0);
            border-radius: 20px 20px 20px 20px; 
            border: 5px solid black;
        }

        .cover{
            width: 100%;
            height: 100%;
            position: relative;
            
            &,img{
                width: 100%;
                height: 100%;
                border-radius: 20px 20px 20px 20px; 
            }

            .progress{
                height: 10%;
                width: 0%;
                top: 160px;
                opacity: 0.5;
                position: absolute;
                background-color: teal;
            }

            #Info{
                color: black;
                position: absolute;
                top:10px;
                padding:5px;
                background-color: rgba(255, 255, 255, 0.8);
                font-family: Helvetica;
                border-radius: 5%/30%;
                margin: 2px;     
                margin-left: 10px;
                font-size: small;       
            }
        }
    
        #NameLogo{
            position: absolute;
            top:240px;
            text-align: center;
            width: 200px;
            font-family: Helvetica;
            font-weight: 900;
            color: white;
            font-size: 20px;
            margin: 10px;
            left:15px;
        }
        
        #NameLogoColor{
            margin: 10px;
            left: 170px;
            position: absolute;
            top:240px;
            text-align: center;
            width: 100px;
            font-family: Helvetica;
            font-weight: 900;
            background-image: linear-gradient(to left,yellowgreen,aqua,purple,hotpink);
            -webkit-text-fill-color: transparent;
            -webkit-background-clip: text;
            font-size: 20px;
        }

    }



   #Logo{
        position: relative;
        top: 30px;
        width: 100px;
        height: 25px;
        border-radius: 20px 20px 20px 20px; 
        border: 5px solid  teal;
        color: teal;
        text-align: center;
        font-family: Helvetica;
        line-height: 25px;
    }


    .Buttons{
        display: flex;
        position: absolute;
        height: 180px;
        width: 100%;
        top: 390px;


        #btna{
            position: absolute;
            height: 40px;
            width: 40px;
            right: 40px;
            top: 40px;
            border-radius: 100%;
            border: 4px solid black;
            background-color:  rgb(105, 110, 110);
            text-align: center;
            line-height: 35px;
            font-size: 30px;
            font-family: Helvetica;
            box-shadow: 5px 5px 10px 0px rgb(87, 87, 87,0.8);   
            cursor: pointer;
        }
        
        #btnb{
            position: absolute;
            height: 40px;
            width: 40px;
            right: 110px;
            top: 60px;
            border-radius: 100%;
            border: 4px solid black;
            background-color: rgb(105, 110, 110);
            text-align: center;
            line-height: 40px;
            font-size: 30px;
            font-family: Helvetica;
            box-shadow: 5px 5px 10px 0px rgb(87, 87, 87,0.8);
            cursor: pointer;
        }



        #arrw1{
            position: absolute;
            height: 105px;
            width: 30px;
            left: 80px;
            top: 20px;
            border: 5px solid black;
            background-color: rgb(105, 110, 110);
            box-shadow: 5px 5px 10px 0px rgb(87, 87, 87,0.8);
        }
        
        #arrw2{
            position: absolute;
            height: 30px;
            width: 105px;
            left: 44px;
            top: 57px;
            border: 5px solid black;
            background-color: rgb(105, 110, 110);
        }
        
        #center{
            position: absolute;
            height: 45px;
            width: 30px;
            left: 85px;
            top: 55px;
            background-color: rgb(105, 110, 110);
        }

        #up{
            position: absolute;
            height: 30px;
            width: 30px;
            left: 85px;
            top: 25px;
            background-color: rgb(105, 110, 110);
            cursor: pointer;
        }

        #down{
            position: absolute;
            height: 30px;
            width: 30px;
            left: 85px;
            top: 100px;
            background-color: rgb(105, 110, 110);
            cursor: pointer;
        }

        #right{
            position: absolute;
            height: 30px;
            width: 30px;
            left: 124px;
            top: 62px;
            background-color: rgb(105, 110, 110);
            cursor: pointer;
        }

        #left{
            position: absolute;
            height: 30px;
            width: 30px;
            left: 50px;
            top: 62px;
            background-color: rgb(105, 110, 110);
            cursor: pointer;
        }


        
    }

    .Buttons2{
        display: flex;
        position: absolute;
        height: 60px;
        top: 540px;
        justify-content: center;
        align-items: center;
        justify-items: center;


        .btn3{
            margin: 10px;
            background-color: rgb(105, 110, 110);
            height: 10px;
            width: 40px;
            border: 5px solid black;
            border-radius: 10px;
            box-shadow: 5px 5px 10px 0px rgb(87, 87, 87,0.8);
        
        }
        
        #text1{
            position: absolute;
            top:40px;
            left: 0;
            margin-left: 14px;
            font-family: Helvetica;
            color:rgb(0, 108, 108);
        }
        
        #text2{
            position: absolute;
            top:40px;
            left:88px;
            font-family: Helvetica;
            color: rgb(0, 108, 108);
        }
    }


}

